onEvent('jei.add.items', jei => {
    jei.add("mekanism:creative_fluid_tank")
    jei.add("mekanism:creative_chemical_tank")

    jei.add("emendatusenigmatica:sulfur_dust")
    jei.add("emendatusenigmatica:coal_netherrack_ore")
    jei.add("emendatusenigmatica:coal_blackstone_ore")
    jei.add("emendatusenigmatica:coal_basalt_ore")
    jei.add("emendatusenigmatica:iron_netherrack_ore")
    jei.add("emendatusenigmatica:iron_blackstone_ore")
    jei.add("emendatusenigmatica:iron_basalt_ore")
    jei.add("emendatusenigmatica:gold_netherrack_ore")
    jei.add("emendatusenigmatica:gold_blackstone_ore")
    jei.add("emendatusenigmatica:gold_basalt_ore")
    jei.add("emendatusenigmatica:diamond_netherrack_ore")
    jei.add("emendatusenigmatica:diamond_blackstone_ore")
    jei.add("emendatusenigmatica:diamond_basalt_ore")
    jei.add("emendatusenigmatica:emerald_netherrack_ore")
    jei.add("emendatusenigmatica:emerald_blackstone_ore")
    jei.add("emendatusenigmatica:emerald_basalt_ore")
    jei.add("emendatusenigmatica:lapis_netherrack_ore")
    jei.add("emendatusenigmatica:lapis_blackstone_ore")
    jei.add("emendatusenigmatica:lapis_basalt_ore")
    jei.add("emendatusenigmatica:redstone_netherrack_ore")
    jei.add("emendatusenigmatica:redstone_blackstone_ore")
    jei.add("emendatusenigmatica:redstone_basalt_ore")
    jei.add("emendatusenigmatica:quartz_netherrack_ore")
    jei.add("emendatusenigmatica:quartz_blackstone_ore")
    jei.add("emendatusenigmatica:quartz_basalt_ore")
    jei.add("emendatusenigmatica:copper_netherrack_ore")
    jei.add("emendatusenigmatica:copper_blackstone_ore")
    jei.add("emendatusenigmatica:copper_basalt_ore")
    jei.add("emendatusenigmatica:zinc_netherrack_ore")
    jei.add("emendatusenigmatica:zinc_blackstone_ore")
    jei.add("emendatusenigmatica:zinc_basalt_ore")
    jei.add("emendatusenigmatica:cobalt_netherrack_ore")
    jei.add("emendatusenigmatica:cobalt_blackstone_ore")
    jei.add("emendatusenigmatica:cobalt_basalt_ore")
    jei.add("emendatusenigmatica:ruby_netherrack_ore")
    jei.add("emendatusenigmatica:ruby_blackstone_ore")
    jei.add("emendatusenigmatica:ruby_basalt_ore")
    jei.add("emendatusenigmatica:sapphire_netherrack_ore")
    jei.add("emendatusenigmatica:sapphire_blackstone_ore")
    jei.add("emendatusenigmatica:sapphire_basalt_ore")
    jei.add("emendatusenigmatica:lead_end_stone_ore")
    jei.add("emendatusenigmatica:uranium_end_stone_ore")
    jei.add("emendatusenigmatica:osmium_end_stone_ore")
    jei.add("emendatusenigmatica:tin_end_stone_ore")
    jei.add("emendatusenigmatica:fluorite_end_stone_ore")
    jei.add("emendatusenigmatica:molten_coal_bucket")
    jei.add("emendatusenigmatica:molten_redstone_bucket")

    jei.add("quark:crate")

    jei.add("exnihilosequentia:ingot_platinum")
    
	jei.add(Item.of("patchouli:guide_book").withNBT({"patchouli:book": "patchouli:c2m_guide_book"}))
})